> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scanoss.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all version information for a specific component



## OpenAPI

````yaml /api-reference/components-openapi.json get /v2/components/versions
openapi: 3.0.0
info:
  title: SCANOSS Components Service
  description: Provides component intelligence services
  version: '2.0'
  contact:
    name: scanoss-components
    url: https://github.com/scanoss/components
    email: support@scanoss.com
servers:
  - url: https://api.scanoss.com
  - url: http://api.scanoss.com
security: []
tags:
  - name: Components
paths:
  /v2/components/versions:
    get:
      tags:
        - Components
      summary: Get all version information for a specific component
      operationId: Components_GetComponentVersions
      parameters:
        - name: purl
          description: Component to search for (purl)
          in: query
          required: false
          schema:
            type: string
        - name: limit
          description: Number of versions to return - default 50
          in: query
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v2CompVersionResponse'
        '404':
          description: Returned when the resource does not exist.
          content:
            application/json:
              schema:
                type: string
                format: string
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v2CompVersionResponse:
      type: object
      example:
        component:
          name: engine
          purl: pkg:github/scanoss/engine
          url: https://github.com/scanoss/engine
          versions:
            - version: 5.0.0
              licenses:
                - name: GNU General Public License v2.0
                  spdx_id: GPL-2.0
                  is_spdx_approved: true
                  url: https://spdx.org/licenses/GPL-2.0.html
              date: '2024-01-15T10:30:00Z'
          component: engine
        status:
          status: SUCCESS
          message: Component versions successfully retrieved
      properties:
        component:
          $ref: '#/components/schemas/v2CompVersionResponseComponent'
        status:
          $ref: '#/components/schemas/v2StatusResponse'
      title: Component Version response data (JSON payload)
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v2CompVersionResponseComponent:
      type: object
      properties:
        component:
          type: string
          title: 'TODO: Remove this message field. Replaced by name in future versions'
        purl:
          type: string
        url:
          type: string
        versions:
          type: array
          items:
            $ref: '#/components/schemas/CompVersionResponseVersion'
        name:
          type: string
      title: Component details (including versions)
    v2StatusResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/v2StatusCode'
        message:
          type: string
          title: Status message
        db:
          $ref: '#/components/schemas/StatusResponseDB'
        server:
          $ref: '#/components/schemas/StatusResponseServer'
      description: Detailed response details.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    CompVersionResponseVersion:
      type: object
      properties:
        version:
          type: string
        licenses:
          type: array
          items:
            $ref: '#/components/schemas/v2CompVersionResponseLicense'
        date:
          type: string
          title: Release date of the version
      title: Version details (including license)
    v2StatusCode:
      type: string
      enum:
        - UNSPECIFIED
        - SUCCESS
        - SUCCEEDED_WITH_WARNINGS
        - WARNING
        - FAILED
      default: UNSPECIFIED
      description: Status code Enum.
    StatusResponseDB:
      type: object
      properties:
        schema_version:
          type: string
          title: Semantic schema version (e.g., 'v1.0.0')
        created_at:
          type: string
          title: When this DB was built (ISO 8601 format)
      description: Database version information.
    StatusResponseServer:
      type: object
      properties:
        version:
          type: string
          title: Semantic version (e.g., 'v1.0.0')
      description: Server information.
    v2CompVersionResponseLicense:
      type: object
      properties:
        name:
          type: string
        spdx_id:
          type: string
        is_spdx_approved:
          type: boolean
        url:
          type: string
      title: License details

````